<!DOCTYPE html>
<html lang="en">
<head>
<script>
    // for ( Инициализация счетчика итераций; Условие; Изменение счетчика ) { Тело цикла }


    for (let i = 0; i < 10; counter++) {
            document.write("<p>Counter = " + counter);
        
        for (let j = 0; j < 10; j++) {
                document.write("<img style='margin:0 2px; width:50px; height:50px' src='./g.png'>");
            }
        // counter - доступен за пределами цикла for.
        document.write("<p>" + counter);
    }
/*

        for (let i = 0; i < 10; i++) {
            // Выводим одну строку из 10 плиток.
            for (let j = 0; j < 10; j++) {
                document.write("<img style='margin:0 2px; width:50px; height:50px' src='./kov.png'>");
            }

            // Переход на новую строку.
            document.write("<br/>");
        }



*/
</script>
</body>
</html>